Cocoon API: Interface Defaults

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon
Interface Defaults

All Known Implementing Classes:
  AbstractProducer, FormatterFactory, ProcessorFactory, Frontend, Engine, Cocoon, XSLTProcessor

public interface Defaults

The Cocoon strings.

Version:
  $Revision: 1.14 $ $Date: 2001/01/18 23:40:18 $
Author:
  Stefano Mazzocchi

Field Summary
`static java.lang.String` | `BROWSERS_PROP`
`static java.lang.String` | `CACHE_DEFAULT`
`static java.lang.String` | `CACHE_PROP`
`static java.lang.String` | `COCOON_FORMAT_PI`
`static java.lang.String` | `COCOON_PROCESS_PI`
`static java.lang.String` | `DEFAULT_BROWSER`
`static java.lang.String` | `DISABLE_CACHING_PI`
`static java.lang.String` | `ERROR_INTERNALLY`
`static java.lang.String` | `FORMATTER_PROP`
`static java.lang.String` | `HOME`
`static java.lang.String` | `INIT_ARG`
`static java.lang.String` | `INTERPRETER_PROP`
`static boolean` | `LOG`
`static java.lang.String` | `LOG_LEVEL`
`static int` | `LOOPS`
`static java.lang.String` | `NAME`
`static java.lang.String` | `OUTPUTTING`
`static java.lang.String` | `PARSER_DEFAULT`
`static java.lang.String` | `PARSER_PROP`
`static java.lang.String` | `PROCESSOR_PROP`
`static java.lang.String` | `PRODUCER_PROP`
`static java.lang.String` | `PROFILER_DEFAULT`
`static java.lang.String` | `PROFILER_PROP`
`static java.lang.String` | `PROPERTIES`
`static java.lang.String` | `SHOW_STATUS`
`static java.lang.String` | `STATUS_URL`
`static java.lang.String` | `STATUS_URL_DEFAULT`
`static java.lang.String` | `STORE_DEFAULT`
`static java.lang.String` | `STORE_PROP`
`static java.lang.String` | `STYLESHEET_PI`
`static java.lang.String` | `TRANSFORMER_DEFAULT`
`static java.lang.String` | `TRANSFORMER_PROP`
`static java.lang.String` | `VERSION`
`static java.lang.String` | `WHOLE_REQUEST`
`static java.lang.String` | `YEAR`

Field Detail

### NAME

    public static final java.lang.String NAME

### VERSION

    public static final java.lang.String VERSION

### YEAR

    public static final java.lang.String YEAR

### INIT_ARG

    public static final java.lang.String INIT_ARG

### PROPERTIES

    public static final java.lang.String PROPERTIES

### HOME

    public static final java.lang.String HOME

### SHOW_STATUS

    public static final java.lang.String SHOW_STATUS

### STATUS_URL

    public static final java.lang.String STATUS_URL

### STATUS_URL_DEFAULT

    public static final java.lang.String STATUS_URL_DEFAULT

### ERROR_INTERNALLY

    public static final java.lang.String ERROR_INTERNALLY

### LOG_LEVEL

    public static final java.lang.String LOG_LEVEL

### PARSER_PROP

    public static final java.lang.String PARSER_PROP

### PARSER_DEFAULT

    public static final java.lang.String PARSER_DEFAULT

### TRANSFORMER_PROP

    public static final java.lang.String TRANSFORMER_PROP

### TRANSFORMER_DEFAULT

    public static final java.lang.String TRANSFORMER_DEFAULT

### CACHE_PROP

    public static final java.lang.String CACHE_PROP

### CACHE_DEFAULT

    public static final java.lang.String CACHE_DEFAULT

### STORE_PROP

    public static final java.lang.String STORE_PROP

### STORE_DEFAULT

    public static final java.lang.String STORE_DEFAULT

### PROFILER_PROP

    public static final java.lang.String PROFILER_PROP

### PROFILER_DEFAULT

    public static final java.lang.String PROFILER_DEFAULT

### PRODUCER_PROP

    public static final java.lang.String PRODUCER_PROP

### PROCESSOR_PROP

    public static final java.lang.String PROCESSOR_PROP

### FORMATTER_PROP

    public static final java.lang.String FORMATTER_PROP

### BROWSERS_PROP

    public static final java.lang.String BROWSERS_PROP

### INTERPRETER_PROP

    public static final java.lang.String INTERPRETER_PROP

### COCOON_PROCESS_PI

    public static final java.lang.String COCOON_PROCESS_PI

### COCOON_FORMAT_PI

    public static final java.lang.String COCOON_FORMAT_PI

### STYLESHEET_PI

    public static final java.lang.String STYLESHEET_PI

### DISABLE_CACHING_PI

    public static final java.lang.String DISABLE_CACHING_PI

### DEFAULT_BROWSER

    public static final java.lang.String DEFAULT_BROWSER

### LOOPS

    public static final int LOOPS

### LOG

    public static final boolean LOG

### WHOLE_REQUEST

    public static final java.lang.String WHOLE_REQUEST

### OUTPUTTING

    public static final java.lang.String OUTPUTTING

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.